<?php

namespace FiloBlu\Maintenance\Block;

class Maintenance extends \Magento\Framework\View\Element\Template {

    public $_helper;
    protected $storeMaganer;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Maintenance\Helper\Data $helper, \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {
        $this->_helper = $helper;
        $this->storeManager = $storeManager;

        parent::__construct($context, $data);
    }

    public function getImageUrl() {
        if ($this->_helper->getConfig("general/bg_image")) {
            return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . "filoblu/maintenance/" . $this->_helper->getConfig("general/bg_image");
        } else {
            return "";
        }
    }

    public function getImageMobileUrl() {
        if ($this->_helper->getConfig("general/bg_image_mobile")) {
            return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . "filoblu/maintenance/" . $this->_helper->getConfig("general/bg_image_mobile");
        } else {
            return "";
        }
    }

    public function getText() {
        return $this->_helper->getConfig("general/front_text");
    }

//    public function getLandingPage() {
//
//        if (!$this->getLandingPageEntity()) {
//            $this->setLandingPageEntity($this->_coreRegistry->registry('newsletter_landingpage_entity'));
//        }
//
//        return $this->getLandingPageEntity()->getData();
//    }
//
//    public function getImageUrl($image) {
//        return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . "filoblu/newsletter/landingpage/image" . $image;
//    }
//
//    protected function _toHtml() {
//
//        if (!$this->_helper->getConfig("general/enabled")) {
//            return "";
//        } else {
//            $landing = $this->getLandingPage();
//            
//            $this->setTemplate('FiloBlu_Newsletter::landingpage/landing_page_' . $landing["code"] . '.phtml');
//
//            if (!$this->getTemplateFile()) {
//
//                $this->setTemplate('FiloBlu_Newsletter::landingpage/landing_page.phtml');
//            }
//
//            return parent::_toHtml();
//        }
//    }
}
